# Uses of Interface
org.eclipse.core.resources.IResourceProxy

Packages that use IResourceProxy
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.search.core.text
Classes giving access to the file (text) search functionality.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.

## Uses of IResourceProxy in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IResourceProxy
Modifier and Type
Method
Description
`IResourceProxy`
IResource.`createProxy()`
Creates a resource proxy representing the current state of this resource.
Methods in org.eclipse.core.resources with parameters of type IResourceProxy
Modifier and Type
Method
Description
`boolean`
IResourceProxyVisitor.`visit(IResourceProxy proxy)`
Visits the given resource.

## Uses of IResourceProxy in org.eclipse.search.core.text

Methods in org.eclipse.search.core.text with parameters of type IResourceProxy
Modifier and Type
Method
Description
`abstract boolean`
TextSearchScope.`contains(IResourceProxy proxy)`
Returns if a given resource is part of the scope.

## Uses of IResourceProxy in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text with parameters of type IResourceProxy
Modifier and Type
Method
Description
`boolean`
FileTextSearchScope.`contains(IResourceProxy proxy)`